MKTEMP(1)

NAME
mktemp - create a temporary file or directory

SYNOPSIS
mktemp [OPTION]... [TEMPLATE]

DESCRIPTION

Create a temporary file or directory, safely, and print its name. If TEMPLATE is not specified, use tmp.XXXXXXXXXX.

-d, --directory
    create a directory, not a file

-q, --quiet
    suppress diagnostics about file/dir-creation failure

-u, --dry-run
    do not create anything; merely print a name (unsafe)

--tmpdir[=DIR]
    interpret TEMPLATE relative to DIR. If DIR is not specified, use $TMPDIR if set, else /tmp. With this option, TEMPLATE must not be an absolute name. Unlike with -t, TEMPLATE may contain slashes, but even here, mktemp still creates only the final component.

-p DIR
    use DIR as a prefix; implies -t [deprecated]

-t  interpret TEMPLATE as a single file name component, relative to a directory: $TMPDIR, if set; else the directory specified via -p; else /tmp [deprecated]

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by Jim Meyering.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
mkstemp(3), mkdtemp(3), mktemp(3)

The full documentation for mktemp is maintained as a Texinfo manual. If the info and mktemp programs are properly installed at your site, the command

    info coreutils 'mktemp invocation'

should give you access to the complete manual.